Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicScrollPaneUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ScrollPaneUI
                  |
                  +--javax.swing.plaf.basic.BasicScrollPaneUI

Direct Known Subclasses:
  MetalScrollPaneUI

public class BasicScrollPaneUI
extends ScrollPaneUI
implements ScrollPaneConstants

A default L&F implementation of ScrollPaneUI.

Inner Class Summary
`class` | `BasicScrollPaneUI.HSBChangeListener` Horizontal scrollbar listener.
`class` | `BasicScrollPaneUI.PropertyChangeHandler`
`class` | `BasicScrollPaneUI.ViewportChangeHandler` Listener for viewport events.
`class` | `BasicScrollPaneUI.VSBChangeListener` Vertical scrollbar listener.

Field Summary
`protected ChangeListener` | `hsbChangeListener`
`protected JScrollPane` | `scrollpane`
`protected java.beans.PropertyChangeListener` | `spPropertyChangeListener`
`protected ChangeListener` | `viewportChangeListener`
`protected ChangeListener` | `vsbChangeListener`

Constructor Summary
`BasicScrollPaneUI()`

Method Summary
`protected ChangeListener` | `createHSBChangeListener()`
`protected java.beans.PropertyChangeListener` | `createPropertyChangeListener()` Creates an instance of PropertyChangeListener that's added to the JScrollPane by installUI().
`static ComponentUI` | `createUI(JComponent x)`
`protected ChangeListener` | `createViewportChangeListener()`
`protected ChangeListener` | `createVSBChangeListener()`
`java.awt.Dimension` | `getMaximumSize(JComponent c)`
`java.awt.Dimension` | `getMinimumSize(JComponent c)`
`java.awt.Dimension` | `getPreferredSize(JComponent c)`
`protected void` | `installDefaults(JScrollPane scrollpane)`
`protected void` | `installKeyboardActions(JScrollPane c)`
`protected void` | `installListeners(JScrollPane c)`
`void` | `installUI(JComponent x)`
`void` | `paint(java.awt.Graphics g, JComponent c)`
`protected void` | `syncScrollPaneWithViewport()`
`protected void` | `uninstallDefaults(JScrollPane c)`
`protected void` | `uninstallKeyboardActions(JScrollPane c)`
`protected void` | `uninstallListeners(JComponent c)`
`void` | `uninstallUI(JComponent c)`
`protected void` | `updateColumnHeader(java.beans.PropertyChangeEvent e)`
`protected void` | `updateRowHeader(java.beans.PropertyChangeEvent e)`
`protected void` | `updateScrollBarDisplayPolicy(java.beans.PropertyChangeEvent e)`
`protected void` | `updateViewport(java.beans.PropertyChangeEvent e)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scrollpane

    protected JScrollPane scrollpane

### vsbChangeListener

    protected ChangeListener vsbChangeListener

### hsbChangeListener

    protected ChangeListener hsbChangeListener

### viewportChangeListener

    protected ChangeListener viewportChangeListener

### spPropertyChangeListener

    protected java.beans.PropertyChangeListener spPropertyChangeListener

Constructor Detail

### BasicScrollPaneUI

    public BasicScrollPaneUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent x)

### paint

    public void paint(java.awt.Graphics g,
                      JComponent c)

  Overrides:
    paint in class ComponentUI

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent c)

  Returns:
    null which indicates that the LayoutManager will compute the value
  Overrides:
    getPreferredSize in class ComponentUI
  See Also:
    `JComponent.getPreferredSize()`

### getMinimumSize

    public java.awt.Dimension getMinimumSize(JComponent c)

  Returns:
    the preferred size
  Overrides:
    getMinimumSize in class ComponentUI
  See Also:
    `getPreferredSize(javax.swing.JComponent)`

### getMaximumSize

    public java.awt.Dimension getMaximumSize(JComponent c)

  Returns:
    new Dimension(Short.MAX_VALUE, Short.MAX_VALUE)
  Overrides:
    getMaximumSize in class ComponentUI

### installDefaults

    protected void installDefaults(JScrollPane scrollpane)

### installListeners

    protected void installListeners(JScrollPane c)

### installKeyboardActions

    protected void installKeyboardActions(JScrollPane c)

### installUI

    public void installUI(JComponent x)

  Overrides:
    installUI in class ComponentUI

### uninstallDefaults

    protected void uninstallDefaults(JScrollPane c)

### uninstallListeners

    protected void uninstallListeners(JComponent c)

### uninstallKeyboardActions

    protected void uninstallKeyboardActions(JScrollPane c)

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    uninstallUI in class ComponentUI

### syncScrollPaneWithViewport

    protected void syncScrollPaneWithViewport()

### createViewportChangeListener

    protected ChangeListener createViewportChangeListener()

### createHSBChangeListener

    protected ChangeListener createHSBChangeListener()

### createVSBChangeListener

    protected ChangeListener createVSBChangeListener()

### updateScrollBarDisplayPolicy

    protected void updateScrollBarDisplayPolicy(java.beans.PropertyChangeEvent e)

### updateViewport

    protected void updateViewport(java.beans.PropertyChangeEvent e)

### updateRowHeader

    protected void updateRowHeader(java.beans.PropertyChangeEvent e)

### updateColumnHeader

    protected void updateColumnHeader(java.beans.PropertyChangeEvent e)

### createPropertyChangeListener

    protected java.beans.PropertyChangeListener createPropertyChangeListener()

  Creates an instance of PropertyChangeListener that's added to the JScrollPane by installUI(). Subclasses can override this method to return a custom PropertyChangeListener, e.g.

       class MyScrollPaneUI extends BasicScrollPaneUI {
          protected PropertyChangeListener createPropertyListener() {
              return new MyPropertyListener();
          }
          public class MyPropertyListener extends PropertyListener {
              public void propertyChange(PropertyChangeEvent e) {
                  if (e.getPropertyName().equals("viewport")) {
                      // do some extra work when the viewport changes
                  }
                  super.propertyChange(e);
              }
          }
       }

  See Also:
    `PropertyListener`, `installUI(javax.swing.JComponent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.